## python-stetl 1.1%2Bds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Stetl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Stetl.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Stetl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Stetl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-stetl 1.0.8+ds

=== debian/changelog ===
python-stetl (1.0.8+ds-2) unstable; urgency=medium

  * Add license & copyright for apachelog.py.
  * Update watch file to use lowercase RC in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Sep 2015 18:06:42 +0200

python-stetl (1.0.8+ds-1) unstable; urgency=medium

  * Initial release (Closes: #797713)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 14:52:34 +0200

=== debian/control ===
Source: python-stetl
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-gdal,
               python-jinja2,
               python-lxml,
               python-nose,
               python-psycopg2,
               python-setuptools,
               python-sphinx,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-stetl.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/python-stetl.git
Homepage: http://stetl.org/

Package: python-stetl
Architecture: all
Section: python
Depends: libjs-jquery,
         libjs-underscore,
         ${python:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: Streaming ETL - Geospatial ETL framework for Python 2
 Stetl, streaming ETL, pronounced "staedl", is a lightweight ETL-framework
 for the conversion of rich (as GML) geospatial data conversion.
 .
 It basically glues together existing parsing and transformation tools
 like GDAL/OGR (ogr2ogr) and XSLT. By using native tools like libxml and
 libxslt (via Python lxml) Stetl is speed-optimized.
 .
 Stetl has a similar design as Spring (Java) and other modern frameworks
 based on IoC (Inversion of Control). A configuration file (in Python
 config format) specifies your chain of ETL steps. This chain is formed
 by a series of Python modules/objects and their parameters. These are
 symbolically specified in the config file. You just invoke etl.py the
 main program with a config file. The config file specifies the input
 modules (e.g. PostGIS), transformers (e.g. XSLT) and outputs (e.g. a GML
 file or even WFS-T a geospatial protocol to publish GML to a server).
 .
 This package contains the module for Python 2.

Package: stetl
Architecture: all
Section: utils
Depends: python-stetl (>= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends}
Description: Streaming ETL - Commandline utility
 Stetl, streaming ETL, pronounced "staedl", is a lightweight ETL-framework
 for the conversion of rich (as GML) geospatial data conversion.
 .
 It basically glues together existing parsing and transformation tools
 like GDAL/OGR (ogr2ogr) and XSLT. By using native tools like libxml and
 libxslt (via Python lxml) Stetl is speed-optimized.
 .
 Stetl has a similar design as Spring (Java) and other modern frameworks
 based on IoC (Inversion of Control). A configuration file (in Python
 config format) specifies your chain of ETL steps. This chain is formed
 by a series of Python modules/objects and their parameters. These are
 symbolically specified in the config file. You just invoke etl.py the
 main program with a config file. The config file specifies the input
 modules (e.g. PostGIS), transformers (e.g. XSLT) and outputs (e.g. a GML
 file or even WFS-T a geospatial protocol to publish GML to a server).
 .
 This package contains the stetl utility.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=stetl

BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

MANPAGES := $(wildcard debian/man/*.*.xml)

%:
	dh $@ \
		--buildsystem=pybuild \
		--with python2 \
		--parallel

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_clean:
	dh_auto_clean
	(cd docs && make clean)

override_dh_auto_build:
	# Create man page from DocBook XML
	for x in $(MANPAGES) ; do \
	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build
	(cd docs && make html)

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_auto_install:
	dh_auto_install

	# Move usr/bin/stetl to stetl package
	mkdir -p debian/stetl/usr
	mv debian/python-stetl/usr/bin debian/stetl/usr

override_dh_installexamples:
	dh_installexamples

	# Remove executable bit
	find debian/*/usr/share/doc/*/examples/ -type f -exec chmod 644 {} \;

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+ds \
http://pypi.debian.net/Stetl/Stetl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-stetl 1.0.9+ds

=== debian/changelog ===
python-stetl (1.0.9+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2016 18:45:16 +0200

python-stetl (1.0.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update stetl man page.
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Jun 2016 16:31:15 +0200

python-stetl (1.0.8+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Sep 2015 08:10:41 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-stetl.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/python-stetl.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-stetl.git -b jessie-backports
 Homepage: http://stetl.org/
 
 Package: python-stetl

## python-stetl 1.1+ds

=== debian/changelog ===
python-stetl (1.1+ds-2) unstable; urgency=medium

  * Add patch by Chris Lamb to make the build reproducible.
    (closes: #881217)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Nov 2017 07:27:17 +0100

python-stetl (1.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream metadata, repository moved to geopython organization.
  * Add python3-sphinx to build dependencies.
  * Bump Standards-Version to 4.1.1, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update watch file to use HTTPS.
  * Update Files-Excluded to remove all .pyc files.
  * Add build dependencies for tests.
  * Copy tests directory to build directory.
  * Don't ignore test failures.
  * Add lintian override for python-foo-but-no-python3-foo.
  * Enable verbose output for tests.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Nov 2017 19:37:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,27 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
+               pylint,
                python-all,
+               python-cov-core,
+               python-flake8,
                python-gdal,
                python-jinja2,
                python-lxml,
+               python-mock,
                python-nose,
+               python-nose2,
                python-psycopg2,
                python-setuptools,
                python-sphinx,
+               python3-sphinx,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-stetl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-stetl.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-stetl.git
 Homepage: http://stetl.org/
 
 Package: python-stetl

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=stetl
+export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
+export PYBUILD_TEST_ARGS=--verbose
 
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
@@ -33,9 +38,6 @@
 	dh_auto_build
 	(cd docs && make html)
 
-override_dh_auto_test:
-	dh_auto_test || echo "Ignoring test failures"
-
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+ds \
https://pypi.debian.net/Stetl/Stetl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-stetl 1.2+ds

=== debian/changelog ===
python-stetl (1.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Fix deprecated source override location.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add module import tests to autopkgtest configuration.
  * Add override for dependency-on-python-version-marked-for-end-of-life.
  * Strip trailing whitespace from control & rules files.
  * Drop reproducible_build.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Jul 2018 19:30:07 +0200

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-stetl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-stetl.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-stetl
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-stetl.git
 Homepage: http://stetl.org/
 
 Package: python-stetl
@@ -79,4 +79,3 @@
  file or even WFS-T a geospatial protocol to publish GML to a server).
  .
  This package contains the stetl utility.
-

=== debian/rules ===
--- 
+++ 
@@ -50,4 +50,3 @@
 
 	# Remove executable bit
 	find debian/*/usr/share/doc/*/examples/ -type f -exec chmod 644 {} \;
-

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-stetl
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import stetl; print(stetl)" ; done

## python-stetl 2.0+ds

=== debian/changelog ===
python-stetl (2.0+ds-3) unstable; urgency=medium

  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Use sphinxdoc helper.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 13:41:28 +0100

python-stetl (2.0+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes.
  * Change pylint3 build dependency to pylint.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Nov 2019 21:33:31 +0100

python-stetl (2.0+ds-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:26:21 +0200

python-stetl (2.0+ds-1~exp2) experimental; urgency=medium

  * Fix doc-base Document name.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2019 06:59:16 +0200

python-stetl (2.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Switch to Python 3.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Apr 2019 18:36:47 +0200

python-stetl (1.3+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Remove package name from lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Mar 2019 15:25:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,40 +3,38 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                pylint,
-               python-all,
-               python-cov-core,
-               python-flake8,
-               python-gdal,
-               python-jinja2,
-               python-lxml,
-               python-mock,
-               python-nose,
-               python-nose2,
-               python-psycopg2,
-               python-setuptools,
-               python-sphinx,
+               python3-all,
+               python3-cov-core,
+               python3-deprecated,
+               python3-flake8,
+               python3-gdal,
+               python3-jinja2,
+               python3-lxml,
+               python3-mock,
+               python3-nose,
+               python3-nose2,
+               python3-psycopg2,
+               python3-setuptools,
                python3-sphinx,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-stetl
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-stetl.git
 Homepage: http://stetl.org/
 
-Package: python-stetl
+Package: python3-stetl
 Architecture: all
 Section: python
-Depends: libjs-jquery,
-         libjs-underscore,
-         ${python:Depends},
+Depends: ${python3:Depends},
+         ${sphinxdoc:Depends},
          ${misc:Depends}
-Provides: ${python:Provides}
-Description: Streaming ETL - Geospatial ETL framework for Python 2
+Description: Streaming ETL - Geospatial ETL framework for Python 3
  Stetl, streaming ETL, pronounced "staedl", is a lightweight ETL-framework
  for the conversion of rich (as GML) geospatial data conversion.
  .
@@ -53,13 +51,13 @@
  modules (e.g. PostGIS), transformers (e.g. XSLT) and outputs (e.g. a GML
  file or even WFS-T a geospatial protocol to publish GML to a server).
  .
- This package contains the module for Python 2.
+ This package contains the module for Python 3.
 
 Package: stetl
 Architecture: all
 Section: utils
-Depends: python-stetl (>= ${binary:Version}),
-         ${python:Depends},
+Depends: python3-stetl (>= ${binary:Version}),
+         ${python3:Depends},
          ${misc:Depends}
 Description: Streaming ETL - Commandline utility
  Stetl, streaming ETL, pronounced "staedl", is a lightweight ETL-framework

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 %:
 	dh $@ \
 		--buildsystem=pybuild \
-		--with python2 \
-		--parallel
+		--with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean debian/man/*.1
@@ -43,7 +42,7 @@
 
 	# Move usr/bin/stetl to stetl package
 	mkdir -p debian/stetl/usr
-	mv debian/python-stetl/usr/bin debian/stetl/usr
+	mv debian/python3-stetl/usr/bin debian/stetl/usr
 
 override_dh_installexamples:
 	dh_installexamples

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\

## python-stetl 2.1

=== debian/changelog ===
python-stetl (2.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1047464)
  * Use execute_{before,after} instead of override in rules file.
  * Switch to dh-sequence-*.
  * Add patch to fix FTBFS with Python 3.12.
    (closes: #1058164)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Dec 2023 09:49:27 +0100

python-stetl (2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Jan 2023 16:04:23 +0100

python-stetl (2.1~dev0~20211124-009e39f-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, no changes.
  * Drop python3-nose from build dependencies.
    (closes: #1018585)
  * Drop python3-cov-core from build dependencies.
    (closes: #1021848)
  * Add Rules-Requires-Root to control file.
  * Update watch file to use GitHub tags instead of PyPI.
  * Add get-orig-source script for git snapshot.
  * Drop patches, applied upstream.
  * Remove VERSION.txt with dh_clean.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 21:50:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                pylint,
                python3-all,
-               python3-cov-core,
                python3-deprecated,
                python3-flake8,
                python3-gdal,
                python3-jinja2,
                python3-lxml,
                python3-mock,
-               python3-nose,
                python3-nose2,
                python3-psycopg2,
                python3-setuptools,
@@ -23,10 +23,12 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-stetl
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-stetl.git
 Homepage: http://stetl.org/
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-stetl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,36 +16,26 @@
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ \
-		--buildsystem=pybuild \
-		--with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean debian/man/*.1
-
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	(cd docs && make clean)
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	# Create man page from DocBook XML
 	for x in $(MANPAGES) ; do \
 	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
 	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
 	done
 
-	dh_auto_build
+execute_after_dh_auto_build:
 	(cd docs && make html)
 
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	# Move usr/bin/stetl to stetl package
 	mkdir -p debian/stetl/usr
 	mv debian/python3-stetl/usr/bin debian/stetl/usr
 
-override_dh_installexamples:
-	dh_installexamples
-
+execute_after_dh_installexamples:
 	# Remove executable bit
 	find debian/*/usr/share/doc/*/examples/ -type f -exec chmod 644 {} \;

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|stetl)?[\-\_]?(\d[\d\-\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/stetl-$1.$2/ \
https://github.com/geopython/stetl/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|stetl)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
